package com.zehong.communication.model;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

@Data
public class SendBatchVoiceNotify extends BaseRequestModel {

    /**
     * 语音群发号码
     * "[133333333,133333333]"
     */
    @NotBlank(message = "语音群发号码不能为空")
    private String phoneNumberJson;

    /**
     * 语音模板
     */
    @NotBlank(message = "语音模板不能为空")
    private String templateId;

    /**
     *模板变量字符串
     * [{\"变量1\":\"值1\",\"变量2\":\"值2\",\"变量3\":\"值3\"},{\"变量1\":\"值1\",\"变量2\":\"值2\",\"变量3\":\"值3\"}]
     */
    private String paramJson;

}
